<?php

namespace App\Filament\Resources\WorkoutSessions;

use App\Filament\Resources\WorkoutSessions\Pages\CreateWorkoutSession;
use App\Filament\Resources\WorkoutSessions\Pages\EditWorkoutSession;
use App\Filament\Resources\WorkoutSessions\Pages\ListWorkoutSessions;
use App\Filament\Resources\WorkoutSessions\Schemas\WorkoutSessionForm;
use App\Filament\Resources\WorkoutSessions\Tables\WorkoutSessionsTable;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;
use Functional\Tracking\Models\WorkoutSession;

class WorkoutSessionResource extends Resource
{
    protected static ?string $model = WorkoutSession::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return WorkoutSessionForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return WorkoutSessionsTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListWorkoutSessions::route('/'),
            'create' => CreateWorkoutSession::route('/create'),
            'edit' => EditWorkoutSession::route('/{record}/edit'),
        ];
    }
}
